## org.apache.tools.ant.types.selectors
Class DateSelector.TimeComparisons

    java.lang.Object
      |
      +--org.apache.tools.ant.types.EnumeratedAttribute
            |
            +--org.apache.tools.ant.types.selectors.DateSelector.TimeComparisons

Enclosing class:
  DateSelector

public static class DateSelector.TimeComparisons
extends EnumeratedAttribute

Enumerated attribute with the values for time comparison.

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`DateSelector.TimeComparisons()`

Method Summary
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateSelector.TimeComparisons

    public DateSelector.TimeComparisons()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Description copied from class: `EnumeratedAttribute`
  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    the values as an array of strings

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.